Store APIsCoupons
Get coupon
Retrieves a coupon by ID. Requires the COUPONS_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48couponId*string
Length
12 <= length <= 48Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/coupons/stringstring"{ "ok": true, "data": { "id": "cpn_p2v8q1mzj0kxw5h7n4tr3bcf", "code": "LAUNCH20", "displayName": "Launch week 20% off", "description": "Limited-time launch discount.", "type": "PERCENTAGE", "value": 20, "minimumPurchase": 1000, "maxUses": 500, "maxUsesPerCustomer": 1, "firstPurchaseOnly": false, "startsAt": "2026-05-01T00:00:00.000Z", "expiresAt": "2026-06-01T00:00:00.000Z", "enabled": true, "timesUsed": 42, "productIds": [], "createdAt": "2026-04-28T08:30:00.000Z", "updatedAt": "2026-05-12T11:15:00.000Z" }}